---
title: Element.setCapture()
slug: Web/API/Element/setCapture
tags:
  - API
  - DOM
  - Element
  - Method
  - Non-standard
  - Reference
---
<div>{{non-standard_header}} {{ APIRef("DOM") }} {{ gecko_minversion_header("2.0") }}</div>

<p>Call this method during the handling of a mousedown event to retarget all mouse events to this element until the mouse button is released or {{ domxref("document.releaseCapture()") }} is called.</p>

<div class="warning"><strong>Warning:</strong> This interface never had much cross-browser support and you probably looking for {{domxref("element.setPointerCapture")}} instead, from the Pointer Events API.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>element</em>.setCapture(<em>retargetToElement</em>);
</pre>

<dl>
 <dt><code>retargetToElement</code></dt>
 <dd>If <code>true</code>, all events are targeted directly to this element; if <code>false</code>, events can also fire at descendants of this element.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>In this example, the current mouse coordinates are drawn while you mouse around after clicking and holding down on an element.</p>

<pre class="brush: html notranslate">&lt;html&gt;
&lt;head&gt;
  &lt;title&gt;Mouse Capture Example&lt;/title&gt;
  &lt;style type="text/css"&gt;
    #myButton {
      border: solid black 1px;
      color: black;
      padding: 2px;
      box-shadow: black 2px 2px;
    }
  &lt;/style&gt;

  &lt;script type="text/javascript"&gt;
    function init() {
      var btn = document.getElementById("myButton");
      if (btn.setCapture) {
        btn.addEventListener("mousedown", mouseDown, false);
        btn.addEventListener("mouseup", mouseUp, false);
      } else {
        document.getElementById("output").textContent
          = "Sorry, there appears to be no setCapture support on this browser";
      }
    }

    function mouseDown(e) {
      e.target.setCapture();
      e.target.addEventListener("mousemove", mouseMoved, false);
    }

    function mouseUp(e) {
      e.target.removeEventListener("mousemove", mouseMoved, false);
    }

    function mouseMoved(e) {
      var output = document.getElementById("output");
      output.textContent = `Position: ${e.clientX}, ${e.clientY}`;
    }
  &lt;/script&gt;
&lt;/head&gt;
&lt;body onload="init()"&gt;
  &lt;p&gt;This is an example of how to use mouse capture on elements in Gecko 2.0.&lt;/p&gt;
  &lt;p&gt;&lt;a id="myButton" href="#"&gt;Test Me&lt;/a&gt;&lt;/p&gt;
  &lt;div id="output"&gt;No events yet&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<p><a href="/samples/domref/mousecapture.html">View Live Examples</a></p>

<h2 id="Notes">Notes</h2>

<p>The element may not be scrolled completely to the top or bottom, depending on the layout of other elements.</p>

<h2 id="Specifications">Specifications</h2>

<p>Based on Internet Explorer's implementation.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.setCapture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("document.releaseCapture()") }}</li>
 <li>{{domxref("element.setPointerCapture")}}</li>
</ul>
